Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ImplicitActivationPolicyC.h File Reference

`#include "ace/config-all.h"`
`#include "portableserver_export.h"`
`#include "tao/ORB.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/PolicyC.h"`

Include dependency graph for ImplicitActivationPolicyC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | PortableServer
namespace | TAO
## Classes
interface | PortableServer::ImplicitActivationPolicy
struct | TAO::Objref_Traits< ::PortableServer::ImplicitActivationPolicy >
## Defines
#define | TAO_EXPORT_MACRO TAO_PortableServer_Export
#define | _PORTABLESERVER_IMPLICITACTIVATIONPOLICY__VAR_OUT_CH_
#define | _PORTABLESERVER_IMPLICITACTIVATIONPOLICY_CH_
#define | _PORTABLESERVER_IMPLICITACTIVATIONPOLICY__TRAITS_
## Typedefs
typedef ImplicitActivationPolicyValue & | ImplicitActivationPolicyValue_out
typedef ImplicitActivationPolicy * | ImplicitActivationPolicy_ptr
typedef TAO_Objref_Var_T< ImplicitActivationPolicy > | ImplicitActivationPolicy_var
typedef TAO_Objref_Out_T< ImplicitActivationPolicy > | ImplicitActivationPolicy_out
## Enumerations
enum | ImplicitActivationPolicyValue { IMPLICIT_ACTIVATION, NO_IMPLICIT_ACTIVATION }
## Functions
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, PortableServer::ImplicitActivationPolicyValue)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::ImplicitActivationPolicyValue &)

## Define Documentation

#define _PORTABLESERVER_IMPLICITACTIVATIONPOLICY__TRAITS_

#define _PORTABLESERVER_IMPLICITACTIVATIONPOLICY__VAR_OUT_CH_

#define _PORTABLESERVER_IMPLICITACTIVATIONPOLICY_CH_

#define TAO_EXPORT_MACRO TAO_PortableServer_Export

## Typedef Documentation

typedef TAO_Objref_Out_T< ImplicitActivationPolicy > PortableServer::ImplicitActivationPolicy_out

typedef ImplicitActivationPolicy* PortableServer::ImplicitActivationPolicy_ptr

typedef TAO_Objref_Var_T< ImplicitActivationPolicy > PortableServer::ImplicitActivationPolicy_var

typedef ImplicitActivationPolicyValue& PortableServer::ImplicitActivationPolicyValue_out

## Enumeration Type Documentation

enum ImplicitActivationPolicyValue

  | Enumeration values:
  IMPLICIT_ACTIVATION |
  NO_IMPLICIT_ACTIVATION |

## Function Documentation

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | PortableServer::ImplicitActivationPolicyValue |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | PortableServer::ImplicitActivationPolicyValue & |
| ) |